Subject: Re: linux-next: manual merge of the nand tree with the mtd tree

From: Miquel Raynal <[email-masked]>
Date: Mon, 21 Feb 2022 15:16:12 +0100

Hello,

[email-masked] wrote on Mon, 21 Feb 2022 13:55:52 +0000:

> Hi all,
> 
> Today's linux-next merge of the nand tree got a conflict in:
> 
>   Documentation/devicetree/bindings/mtd/nand-controller.yaml
> 
> between commit:
> 
>   751f204a6fe6f ("dt-bindings: mtd: nand-chip: Create a NAND chip description")
> 
> from the mtd tree and commit:
> 
>   cb57fae479be4 ("dt-binding: mtd: nand: Document the wp-gpios property")
> 
> from the nand tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for fixing it up in -next. We will anyway merge the NAND tree
into the MTD tree before sending a unique PR so Linus won't have to
handle it.

> 
> diff --cc Documentation/devicetree/bindings/mtd/nand-controller.yaml
> index 33855eb48a795,53b21aed0ac5f..0000000000000
> --- a/Documentation/devicetree/bindings/mtd/nand-controller.yaml
> +++ b/Documentation/devicetree/bindings/mtd/nand-controller.yaml
> @@@ -116,6 -154,20 +116,13 @@@ patternProperties
>             Ready/Busy pins. Active state refers to the NAND ready state and
>             should be set to GPIOD_ACTIVE_HIGH unless the signal is inverted.
>   
> +       wp-gpios:
> +         description:
> +           Contains one GPIO descriptor for the Write Protect pin.
> +           Active state refers to the NAND Write Protect state and should be
> +           set to GPIOD_ACTIVE_LOW unless the signal is inverted.
> +         maxItems: 1
> + 
>  -      secure-regions:
>  -        $ref: /schemas/types.yaml#/definitions/uint64-matrix
>  -        description:
>  -          Regions in the NAND chip which are protected using a secure element
>  -          like Trustzone. This property contains the start address and size of
>  -          the secure regions present.
>  -
>       required:
>         - reg
>   

Thanks,
Miquèl